﻿local huoxing = require "huoxinglib"

--LUA错误捕获函数
function error_hook(msg)
    print(msg:gsub("^(.+):(%d+):(.+)$","文件：%1\n错误行 [%2] 以后的内容将被忽略\n%3"))
end

--使用luajit的xpcall来调用可以防此由于意外错误导致程序崩溃
function xdofile(file)
    xpcall(dofile,error_hook,file)
end

function trim(s)
  return (s:gsub("^%s*(.-)%s*$", "%1"))
end

function getfilename(file)
	return file:match("[^\\]+$")
end

local files = huoxing.dir("scripts","*.lua")
if files == nil then 
	return
end

for key,value in pairs(files) do
	--print(key,value)
	local name = getfilename(value)
	if name  ~= 'main.lua' then
		if value:find("[\\/]_") == nil then	--过滤以_开头的文件/文件夹
			xdofile(name)
		end
	end
end
    